package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxActivity;
import com.iformall.domain.po.WxActivityJoin;

import java.util.List;
import java.util.Map;

/**
 * @author gongbiao
 */
public interface WxActivityJoinMapper extends CommonMapper<WxActivityJoin, Long> {

    List<WxActivityJoin> findList(WxActivityJoin params);

    List<WxActivity> cfindList(WxActivityJoin wxActivityJoin);

    void updateSendMsg(Map<String, Object> param);

    void updateStatus(List<WxActivity> wxActivity);

    void activityExpired();
}
